#include "STSP.h"

STSP::STSP(Utils::CUCTime OBT,
	   unsigned int GSID,
	   double GSDelay,
	   double OBDHDelay,
	   double signalDelay,
	   STime uncorrectedSTSPTime,
	   STime correctedXMCSSTSPTime,
	   STime correctedSTSPTime,
	   STime currentFrameTime,
	   unsigned int MFCVC0,
	   unsigned int MFCSTSP
	   ) {
  
  this->OBT = OBT;
  this->GSID = GSID;
  this->GSDelay = GSDelay;
  this->OBDHDelay = OBDHDelay;
  this->signalDelay = signalDelay;
  this->uncorrectedSTSPTime   = uncorrectedSTSPTime;
  this->correctedXMCSSTSPTime = correctedXMCSSTSPTime;
  this->correctedSTSPTime     = correctedSTSPTime;
  this->currentFrameTime      = currentFrameTime;
  this->MFCVC0 = MFCVC0;
  this->MFCSTSP = MFCSTSP;
  
}
