#ifndef STSP_H
#define STSP_H

#include "STime.h"
#include "Utils.h"

class STSP {
  
 public:
  
  STSP(Utils::CUCTime OBT,
       unsigned int GSID,
       double GSDelay,
       double OBDHDelay,
       double signalDelay,
       STime uncorrectedSTSPTime,
       STime correctedXMCSSTSPTime,
       STime correctedSTSPTime,
       STime currentFrameTime,
       unsigned int MFCVC0,
       unsigned int MFCSTSP
       );
  
  Utils::CUCTime OBT;
  
  STime uncorrectedSTSPTime;

  STime correctedXMCSSTSPTime;

  STime correctedSTSPTime;

  STime currentFrameTime;
  
  unsigned int GSID;
  
  double GSDelay;
  
  double OBDHDelay;
  
  double signalDelay;
  
  unsigned int MFCVC0;
  
  unsigned int MFCSTSP;

};

#endif
