#include <iostream>

#include "Utils.h"
#include "STime.h"
#include "Delay.h"

///////////////////////
#include "getdelays.h"
///////////////////////
//
// New utility for CR x6
//
//
void getdelays () {
  
  Delay myDelayObj;

  STime ert = stringParameter("ert");
  unsigned char  gsid = intParameter("gsid");

  double dert = Utils::STime2MJD2000(ert); 

  double dDelays=myDelayObj.getSignalDelay(ert,gsid);

  std::cout << "DELAYS calculation " <<  std::endl; 
  std::cout << "Ert (Stime) = " << ert << std::endl; 
  std::cout << "Ert (tostring) = " << ert.toString(6) << std::endl; 
  std::cout << "Ert (mjd) = " << dert << std::endl; 
  std::cout << "Gsid = " << (int)gsid << std::endl; 
  std::cout << "Delay (single precision) as from SIGDEL = " << dDelays << std::endl; 
  std::cout << setprecision(16);
  std::cout << "Delay (double precision) as from SIGDEL = " << dDelays << std::endl; 


}
